using UniVerse.Application.DTOs.Achievements;

namespace UniVerse.Application.Interfaces;

public interface IAchievementService
{
    Task<List<AchievementDto>> GetAllAsync();
    Task<AchievementDto> GetByIdAsync(int id);
    Task<AchievementDto> CreateAsync(CreateAchievementRequest request);
    Task<AchievementDto> UpdateAsync(int id, UpdateAchievementRequest request);
    Task DeleteAsync(int id);
}
